<html>

  <head>
    <script src="js/nanocurrency-web-js/index.min.js" type="text/javascript"></script>
    <script src="js/nostr-tools/nostr.bundle.js" type="text/javascript"></script>
    <script src="js/qr-creator/qr-creator.min.js" type="text/javascript"></script>
    <script src="js/index.js" type="text/javascript" ></script>
    <script src="js/nostr.js" type="text/javascript" ></script>
    <script src="js/nano.js" type="text/javascript" ></script>
    <script src="js/invidious.js" type="text/javascript" ></script>

    <script type="text/javascript">

    async function loadPage() {
      nanoNode = document.getElementById('nano-node').value;
      loadIdentity();
      listenForMessages();
      loadNanoNodes();
      loadNostrRelays();
      loadDefaultInvidiousInstances();
    }

    async function printStreamCode() {
      var scode = await generateStreamCode(document.getElementById('url').value);
      document.getElementById('scode').innerText = scode;
      renderQRCode(scode);
    }

    function sendMessage(msg) {
      var signature = sign(msg);
      msg = signature + "." + Math.floor(Date.now() / 1000) + '.' + btoa(Math.floor(Date.now() / 1000) + msg) + "." + msg;

      var json = JSON.stringify({ author: "Darwin", content: msg });
      console.log(json);
      sendNostrMessage(json, nostrChannelEvent);

      return msg;
    }
    </script>

  </head>

  <body onload="loadPage()">
    <select id="nano-node" onchange="nanoNode = this.value; console.log(nanoNode)">
      <option value="http://192.168.15.22:7076" selected>http://192.168.15.22:7076</option>
      <option value="https://rainstorm.city/api">https://rainstorm.city/api</option>
    </select>
    <br />
    <input type="button" id="genID" onclick="generateIdentity()" value="Gerar Identidade" />
    <br />
    <label for="scode">URL Vídeo:</label>
    <br />
    <input type="text" id="url" />
    <br />
    <label for="scode">StreamCode:</label>
    <br />
    <input type="button" id="btnScode" value="Generate Stream Code" onclick="printStreamCode()" />
    <br />
    <p id="scode"></p>
    <div id="qrCodeImg">
    </div>
    <label for="msg">Mensagem:</label>
    <br />
    <textarea id="msg"></textarea>
    <br />
    <input type="button" value="Enviar"
      onclick='sendMessage(document.getElementById("msg").value)' />
    <p id="signedMsg"></p>
    <input type="button" value="List" onclick="listMessages(nostrChannelEvent.id);" />
    <div id="lstMsgs">

    </div>
  </body>

</html>
